import { GetServerSideProps, GetServerSidePropsContext, GetServerSidePropsResult, GetStaticProps, GetStaticPropsContext, GetStaticPropsResult } from 'next';
export declare type AnyObject = Record<string, any>;
export declare type ResolutionType = 'parallel' | 'sequential';
export declare type ShortCircuitType = 'redirect-and-notfound' | 'redirect-only' | 'notfound-only' | 'never';
export declare type Context = GetServerSidePropsContext | GetStaticPropsContext;
export declare type PropsResult<P = AnyObject> = GetServerSidePropsResult<P> | GetStaticPropsResult<P>;
export declare type NextDataFunction = GetServerSideProps | GetStaticProps;
export declare type MergePropsOptionsSequential = {
    resolutionType?: Extract<ResolutionType, 'sequential'>;
    shortCircuit?: ShortCircuitType;
    debug?: boolean;
};
export declare type MergePropsOptionsParallel = {
    resolutionType?: Extract<ResolutionType, 'parallel'>;
    debug?: boolean;
};
export declare type MergePropsOptions = MergePropsOptionsSequential | MergePropsOptionsParallel;
